Index: Widget/Constraint/CallbackOnce.pm
===================================================================
--- Widget/Constraint/CallbackOnce.pm	(revision 113)
+++ Widget/Constraint/CallbackOnce.pm	(working copy)
@@ -4,7 +4,7 @@
 use strict;
 use base 'HTML::Widget::Constraint';
 
-__PACKAGE__->mk_accessors(qw/callback/);
+__PACKAGE__->mk_accessors(qw/callback display_errors/);
 
 *cb = \&callback;
 
@@ -38,6 +38,13 @@
 
 L</cb> is provided as an alias to L</callback>.
 
+=head2 display_errors
+
+Arguments: integer
+
+The number of fields in this constraint, counting from the beginning, which
+will have errors attached to them.  Optional, defaults to all.
+
 =head2 process
 
 Overrides L<HTML::Widget::Constraint/"process"> to ensure L</validate> is 
@@ -56,9 +63,10 @@
     my $results = [];
 
     if ( $self->not ? $result : !$result ) {
-        for my $name (@names) {
+		my $count = $self->display_errors || scalar( @names );
+        for (my $index = 0; $index < $count; $index++) {
             push @$results, HTML::Widget::Error->new(
-                { name => $name, message => $self->mk_message } );
+                { name => $names[$index], message => $self->mk_message } );
         }
     }
 
